Name: make-gnu
Version: 4.2
Release: 3
License: GPL-3.0-or-later
Summary: GNU make
Url: http://www.gnu.org/software/make/make.html

Source0: https://ftp.gnu.org/gnu/make/make-%{version}.tar.gz

Patch0: make-ignore-fcntl-warning.patch

%description
GNU Make is a tool which controls the generation of executables and other
non-source files of a program from the program's source files.

%prep
%setup -q -n make-%{version}

%patch0 -p1

%build
  
%configure \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-load \
  --disable-rpath \
  --disable-nls \
  # end

%make_build

%install

%make_install

ln -s make %{buildroot}%{_bindir}/gmake

rm %{buildroot}%{_includedir}/gnumake.h

%files
%defattr(-, qsys, *none)

%{_bindir}/make
%{_bindir}/gmake
%{_infodir}/make.info-*
%{_infodir}/make.info*
%{_mandir}/man1/make.1*

%changelog
* Thu May 28 2020 Kevin Adler <kadler@us.ibm.com> - 4.2
- Don't print "fcntl(): Invalid Argument" when stdout/stderr is a pipe

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 4.2
- Use generic paths for man and info pages to allow for compression

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 4.2
- Rename specfile from gnumake.spec to make.spec
- Use SPDX license identifier

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
